<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_lc_contact_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("LC Contact box", 'logiscargo'),
			"base" => "tt_lc_contact_shortcode",
			'description' => esc_html__( 'Contact information used on contact page', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(
                array(
                    'type' => 'textarea_html',
                    'heading' => esc_html__( 'Contact info', 'logiscargo' ),
                    'param_name' => 'content',
                    'value' => '',
					'admin_label' => true,
                    'description' => esc_html__( 'Contact info', 'logiscargo' )
                ),
				array(
					'type'        => 'iconpicker',
					'heading'     => esc_html__( 'Type icon', 'logiscargo' ),
					'param_name'  => 'type_icon',
					'value'       => '',
					'settings' => array(
						'emptyIcon' => false,
						'iconsPerPage' => 300,
					),
				),
				array(
					'type'        => 'colorpicker',
					'heading'     => esc_html__( 'Icon color', 'logiscargo' ),
					'param_name'  => 'iconcolor',
					'value'       => '',
				)
			)
		)
	);
}

add_action( 'vc_before_init', 'tt_lc_contact_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_lc_contact_shortcode extends WPBakeryShortCode {
	}
}